---
title: Home
description: Linked Document Analysis - Track every change. Map every connection.
hide:
  - navigation
  - toc
---

<div class="hero-section">
  <h1 class="hero-title">Linked Document Analysis</h1>
  <p class="hero-subtitle">Track every change. Map every connection.</p>
  <p class="hero-subtitle">
    A provenance-driven project management system that creates a living map of your research, 
    tracking relationships, monitoring changes, and preserving your project's complete history.
  </p>
  <div class="button-group">
    <a href="quickstart/" class="primary-button">Get Started</a>
    <a href="tutorial/" class="secondary-button">Full Tutorial</a>
  </div>
</div>

<div class="terminal-block">
  <div class="terminal-line">
    <span class="terminal-prompt">$</span>
    <span class="terminal-command">lda init</span>
  </div>
  <div class="terminal-line terminal-output">👤 Setting up profile...</div>
  <div class="terminal-line terminal-output">📝 Building project name...</div>
  <div class="terminal-line terminal-output">✨ Project created: ALS301_CCHMC_Treatment_Week8_EEG/</div>
  
  <div class="terminal-line">
    <span class="terminal-prompt">$</span>
    <span class="terminal-command">lda status</span>
  </div>
  <div class="terminal-line terminal-output">📈 Project: ALS301_CCHMC_Treatment_Week8_EEG</div>
  <div class="terminal-line terminal-output">👤 Analyst: Dr Jane Smith</div>
  <div class="terminal-line terminal-output">📝 3 sections tracked</div>
  <div class="terminal-line terminal-output">🔗 All files verified</div>
  
  <div class="terminal-line">
    <span class="terminal-prompt">$</span>
    <span class="terminal-command">lda sync</span>
  </div>
  <div class="terminal-line terminal-output">🔄 Synchronized project structure</div>
  <div class="terminal-line terminal-output">✅ Created section: data_preprocessing</div>
  <div class="terminal-line terminal-output">✅ Created section: statistical_analysis</div>
  <div class="terminal-line terminal-output">📋 Project ready for analysis</div>
</div>

<h2 style="text-align: center; margin: 3rem 0;">Why Use LDA?</h2>

<div class="feature-grid">
  <div class="feature-card">
    <div class="feature-icon">🔬</div>
    <h3 class="feature-title">Research Integrity</h3>
    <p class="feature-description">Track every change with cryptographic verification. Create an unbreakable chain of custody for your data and analyses.</p>
  </div>
  <div class="feature-card">
    <div class="feature-icon">🗺️</div>
    <h3 class="feature-title">Complete Mapping</h3>
    <p class="feature-description">Visualize relationships between files, analyses, and documents. Never lose track of how your conclusions were reached.</p>
  </div>
  <div class="feature-card">
    <div class="feature-icon">⚡</div>
    <h3 class="feature-title">Efficient Workflow</h3>
    <p class="feature-description">Automated tracking means less time documenting and more time discovering. Focus on what matters most.</p>
  </div>
</div>

<h2 style="text-align: center; margin: 3rem 0;">Core Features</h2>

<div class="feature-grid">
  <div class="feature-card">
    <div class="feature-icon">📁</div>
    <h3 class="feature-title">Smart Structure</h3>
    <p class="feature-description">Projects organized by document sections. Each analysis maps directly to your manuscript content.</p>
  </div>
  <div class="feature-card">
    <div class="feature-icon">🏷️</div>
    <h3 class="feature-title">Automatic Naming</h3>
    <p class="feature-description">Intelligent file naming with metadata. Find anything instantly with consistent, descriptive names.</p>
  </div>
  <div class="feature-card">
    <div class="feature-icon">📊</div>
    <h3 class="feature-title">Template System</h3>
    <p class="feature-description">Start faster with pre-configured templates. Customize for your specific research needs.</p>
  </div>
</div>

<div style="background-color: var(--md-primary-fg-color); color: white; text-align: center; padding: 3rem 2rem; margin-top: 3rem;">
  <h2 style="color: white; margin-bottom: 1rem;">Start Tracking Your Research Today</h2>
  <p style="font-size: 1.1rem; margin-bottom: 2rem; opacity: 0.9;">Join hundreds of researchers using LDA for precise project management.</p>
  <a href="quickstart/" class="primary-button primary-button-inverted" style="background-color: white; color: var(--md-primary-fg-color) !important;">Get Started</a>
</div>